RenameDlgPlugin Class Reference

`#include <renamedlgplugin.h>`

Inherits QWidget.

## Public Member Functions

| RenameDlgPlugin (QDialog *dialog, const char *name, const QStringList &=QStringList())
virtual bool | initialize (KIO::RenameDlg_Mode, const QString &, const QString &, const QString &, const QString &, KIO::filesize_t, KIO::filesize_t, time_t, time_t, time_t, time_t)

## Detailed Description

This is the base class for all RenameDlg plugins.

Base class for RenameDlg plugins.

Since
  3.1

Definition at line 34 of file renamedlgplugin.h.

## Constructor & Destructor Documentation

RenameDlgPlugin::RenameDlgPlugin | ( | QDialog * | dialog,
|  | const char * | name,
|  | const QStringList & | = `QStringList()`
| ) |  |

inline

This is the c'tor.

Definition at line 40 of file renamedlgplugin.h.

## Member Function Documentation

virtual bool RenameDlgPlugin::initialize | ( | KIO::RenameDlg_Mode | ,
|  | const QString & | ,
|  | const QString & | ,
|  | const QString & | ,
|  | const QString & | ,
|  | KIO::filesize_t | ,
|  | KIO::filesize_t | ,
|  | time_t | ,
|  | time_t | ,
|  | time_t | ,
|  | time_t |
| ) |  |

inline virtual

This function will be called by RenameDlg.

The params are infos about the files.

Returns
  If the plugin want's to display it return true, if not return false

Definition at line 46 of file renamedlgplugin.h.

The documentation for this class was generated from the following file:

- renamedlgplugin.h

KDE Home | KDE Accessibility Home | Description of Access Keys